package com.jqtx.windows.component.impl;

import cn.hutool.core.bean.BeanUtil;
import com.jqtx.windows.component.LoanPlanComponent;
import com.jqtx.windows.component.LoanRepayComponent;
import com.jqtx.windows.component.model.LoanModel;
import com.jqtx.windows.component.model.RepayModel;
import com.jqtx.windows.repository.entity.*;
import com.jqtx.windows.repository.mapper.WindowsPlanMapper;
import com.jqtx.windows.repository.mapper.WindowsRepayMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LoanReapyComponentImpl implements LoanRepayComponent {

    @Autowired
    private WindowsRepayMapper windowsRepayMapper;

    @Override
    public int insert(RepayModel repayModel) {
        WindowsRepay windowsPlan = BeanUtil.toBean(repayModel, WindowsRepay.class);
        int i = windowsRepayMapper.insertSelective(windowsPlan);
        return i;
    }

    @Override
    public RepayModel getByBackedNo(String backedNo) {
        WindowsRepayExample example = new WindowsRepayExample();
        WindowsRepayExample.Criteria criteria = example.createCriteria();
        criteria.andBackedNoEqualTo(backedNo);
        List<WindowsRepay> windowsRepays = windowsRepayMapper.selectByExample(example);
        return windowsRepays.stream().map(m -> BeanUtil.toBean(m, RepayModel.class)).findFirst().orElse(null);
    }
}
